package com.unibuy.smartdevice.ui.tools;

public abstract class StringRefactoring {
    private String destMsg;
    public abstract String refactoring(Object[] source);

    public StringRefactoring(Object[] source) {
        destMsg = refactoring(source);
    }

    @Override
    public String toString() {
        return destMsg;
    }
}
